
<form name="form" novalidate>


<div id="top_of_dialog">
	<strong>{{getTitle()}}</strong>
</div>

<div style="margin-top: 15p;">
	<table width="95%" style="margin-left:5px; margin-right:5px">
		<tr>
			<td>
				<span ng-bind-html="expressionStringHtml | html">
				</span>
			</td>
		</tr>
	</table>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="2">Parametri di configurazione</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>DSP
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="dsp" id="dsp" ng-model="selectedDsp" ng-options="item.name for item in ctrl.dspList" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TIPO UTILIZZO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="utilization" id="utilization" ng-disabled="selectedDsp === undefined"  ng-model="selectedUtilization" ng-options="item.name for item in ctrl.utilizationList | filter: filterUtilizationByDsp()" required>
							</select>
						</span>
					</div>
				</td>
			</tr>
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>OFFERTA COMMERCIALE
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
						<select name="offer" id="offer" ng-disabled="selectedUtilization === undefined" ng-model="selectedOffer" ng-options="item.offering for item in ctrl.commercialOffersList  | filter: filterOffersByDspAndUtilization()" required>
							</select>
						</span>
					</div>
				</td>	
			</tr>	
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>TERRITORIO
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="countryName" id="countryName" ng-model="selectedCountry" ng-options="item.name for item in ctrl.countryList" required>
							</select>
						</span>
					</div>
				</td>
			</tr>			
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span>CODIFICATO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="encoded" disabled checked required>
								  	<div class="slider round"></div>
								</label>				
							</span>
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span>CODIFICATO PROVVISORIO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="encodedProvisional">
								  	<div class="slider round"></div>
								</label>				
							</span>
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							<span class="redColor" ng-show="form.process.$invalid">*</span> NON CODIFICATO
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="notEncoded">
								  	<div class="slider round"></div>
								</label>				
							</span>
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
						<label class="muted pull-right marginRight10px">
							ESCLUSIONE CLAIM=0
						</label>
					</td>
					<td class="fieldValue medium">
						<div class="row-fluid">
							<span class="span2">
								<label class="switch">
			  						<input type="checkbox" ng-model="excludeClaimZero">
								  	<div class="slider round"></div>
								</label>				
							</span>
						</div>
					</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>VERSIONE CCID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="ccidVersion" id="ccidVersion" ng-model="selectedCCIDVersion" ng-options="item.name for item in ctrl.ccidVersionList" ng-change="setCCIDVersionDefaults(selectedCCIDVersion)" required>
							</select>
						</span>
					</div>
				</td>
			</tr>		
			<tr ng-show="selectedCCIDVersion.paramsMap && objLength(selectedCCIDVersion.paramsMap)>1">
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>PARAMETRI CCID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" ng-repeat="(key, value) in selectedCCIDVersion.paramsMap">
						<span class="span6">
							<label class="muted">
								{{key}}
							</label>
							<select ng-if="!selectedCCIDVersion.paramsMap[key][0].editable" ng-model="ctrl.ccidVersionParams[key]" ng-options="item.value||'' for item in selectedCCIDVersion.paramsMap[key]"></select>
							<input style="width: 220px;height: 30px;" ng-if="selectedCCIDVersion.paramsMap[key][0].editable" type="text" ng-model="ctrl.ccidVersionParams[key].value">

						</span>
					</div>				
				</td>
			</tr>			
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>VALUTA
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select name="currency" id="currency" ng-model="selectedCurrency" ng-options="item for item in ctrl.currencyList" required>
							</select>
						</span>
					</div>
				</td>
			</tr>						
			<tr>
				 <td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.process.$invalid">*</span>RANK
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<select ng-model="rank" ng-options="n for n in [] | range:1:100" required></select>							
						</span>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button type="button" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-disabled="form.$invalid" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-plus"></span>&nbsp;&nbsp;<strong>Salva</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/ng-template" id="errorDialogId">
	<div id="target"  >
		<strong>{{ngDialogData}}</strong>
	</div>
</script>

   
<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>